mscorlib 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(true)

.NET Framework remoting provides two levels of automatic deserialization, and . The deserialization level helps protect against deserialization attacks by deserializing only the types associated with the most basic remoting functionality. The deserialization level supports automatic deserialization of all types that remoting supports in all situations. For a list of the .NET Framework remoting types that and support, see [<topic://cpconAutomaticDeserializationInNETRemoting>].

You can set the members of this enumeration programmatically or by using an application configuration file. For examples, see [<topic://cpconAutomaticDeserializationInNETRemoting>].

Do not assume that controlling deserialization is the only security your application requires. In distributed applications, even a high degree of control over serialization might not prevent malicious clients from intercepting the communication and using it in some way, even if that is merely showing data to others. Therefore, although the deserialization level provides some protection against certain types of attack based upon automatic deserialization, you must still evaluate whether to use authentication and encryption to help protect the confidentiality of your data.

Specifies the level of automatic deserialization for .NET Framework remoting.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.Formatters.TypeFilterLevel Full To be added.

  The full deserialization level for .NET Framework remoting. It supports all types that remoting supports in all situations.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.Formatters.TypeFilterLevel Low To be added.

  The low deserialization level for .NET Framework remoting. It supports types associated with basic remoting functionality.